Update SnowCMS feed settings
curl --request PATCH \
--url https://api.snowseo.com/v3/custom-domains/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"feedEnabled": true,
"feedAutoPublish": true
}
'import requests
url = "https://api.snowseo.com/v3/custom-domains/settings"
payload = {
"teamId": "<string>",
"feedEnabled": True,
"feedAutoPublish": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: '<string>', feedEnabled: true, feedAutoPublish: true})
};
fetch('https://api.snowseo.com/v3/custom-domains/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/custom-domains/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamId' => '<string>',
'feedEnabled' => true,
'feedAutoPublish' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/custom-domains/settings"
payload := strings.NewReader("{\n \"teamId\": \"<string>\",\n \"feedEnabled\": true,\n \"feedAutoPublish\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.snowseo.com/v3/custom-domains/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamId\": \"<string>\",\n \"feedEnabled\": true,\n \"feedAutoPublish\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/custom-domains/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamId\": \"<string>\",\n \"feedEnabled\": true,\n \"feedAutoPublish\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"feedEnabled": true,
"feedAutoPublish": true,
"brandSlug": "<string>"
}
}Settings
Update SnowCMS Settings
Turn the SnowCMS blog on or off and set automatic publishing.
PATCH
/
v3
/
custom-domains
/
settings
Update SnowCMS feed settings
curl --request PATCH \
--url https://api.snowseo.com/v3/custom-domains/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"feedEnabled": true,
"feedAutoPublish": true
}
'import requests
url = "https://api.snowseo.com/v3/custom-domains/settings"
payload = {
"teamId": "<string>",
"feedEnabled": True,
"feedAutoPublish": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({teamId: '<string>', feedEnabled: true, feedAutoPublish: true})
};
fetch('https://api.snowseo.com/v3/custom-domains/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/custom-domains/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamId' => '<string>',
'feedEnabled' => true,
'feedAutoPublish' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/custom-domains/settings"
payload := strings.NewReader("{\n \"teamId\": \"<string>\",\n \"feedEnabled\": true,\n \"feedAutoPublish\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.snowseo.com/v3/custom-domains/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamId\": \"<string>\",\n \"feedEnabled\": true,\n \"feedAutoPublish\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/custom-domains/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamId\": \"<string>\",\n \"feedEnabled\": true,\n \"feedAutoPublish\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"feedEnabled": true,
"feedAutoPublish": true,
"brandSlug": "<string>"
}
}Send
feedEnabled to turn the brand’s SnowCMS blog on or off, and feedAutoPublish to choose whether published articles go public automatically. Only the fields you send change.
Turning
feedAutoPublish on also makes every article that is already published public.Was this page helpful?

